const path = require( 'path' );
const defaultConfig = require( '@wordpress/scripts/config/webpack.config' );

module.exports = {
	...defaultConfig,
	entry: {
		'wdevs-coe-admin': [
			path.resolve(
				process.cwd(),
				'admin/js',
				'wdevs-customer-order-export-preview.js'
			),
			path.resolve(
				process.cwd(),
				'admin/js',
				'wdevs-customer-order-export-template-columns.js'
			),
			path.resolve(
				process.cwd(),
				'admin/js',
				'wdevs-customer-order-export-variables.js'
			),
			path.resolve(
				process.cwd(),
				'admin/js',
				'wdevs-customer-order-export-woocommerce.js'
			),
		],
		'wdevs-coe-public': [
			path.resolve(
				process.cwd(),
				'public/js',
				'wdevs-customer-order-export-account.js'
			),
		],
		'wdevs-coe-jstree': [
			path.resolve(
				process.cwd(),
				'public/js',
				'wdevs-customer-order-export-jstree.js'
			),
		],
	},
};
